LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 01-13-2010, 03:29 AM   #1
rotezecke
LQ Newbie
 
Registered: Feb 2008
Location: Nimbin, Australia
Distribution: Debian, Mint, Mandriva
Posts: 27

Rep: Reputation: 15
hash sum mismatch debian


i just installed debian lenny, very basic install so far.
apt-get update returns this error:
Failed to fetch http://security.debian.org/dists/len...86/Packages.gz Hash Sum mismatch

E: Some index files failed to download, they have been ignored, or old ones used instead.

i googled and tried:

apt-get update -o Acquire::http::No-Cache=True
apt-get update -o Acquire::BrokenProxy=true
apt-get update -o Debug::Acquire::http=true

but same.
deleted files in /var/lib/apt/lists and ./partial
but again, same error.

i have another lenny machine on same network, same configuration,
--
less /etc/apt/sources.list

deb http://ftp.monash.edu.au/pub/linux/debian/ lenny main non-free contrib
#deb-src http://ftp.monash.edu.au/pub/linux/debian/ lenny main non-free contrib

deb http://security.debian.org/ lenny/updates main contrib non-free
#deb-src http://security.debian.org/ lenny/updates main contrib non-free

#lame darkice and such
deb http://debian-multimedia.org/ lenny main

--
any ideas?
 
Old 01-13-2010, 04:13 AM   #2
Dave_Devnull
Member
 
Registered: May 2009
Posts: 142

Rep: Reputation: 24
Out of curiosity, are they both the same versions of apt?

apt -version
 
Old 01-13-2010, 05:16 PM   #3
rotezecke
LQ Newbie
 
Registered: Feb 2008
Location: Nimbin, Australia
Distribution: Debian, Mint, Mandriva
Posts: 27

Original Poster
Rep: Reputation: 15
yes, the versions are identical.
apt-get -version (bad box)
apt 0.7.20.2 for i386 compiled on Apr 20 2009 21:52:39
...
and (good box)
apt 0.7.20.2 for i386 compiled on Apr 20 2009 21:52:39
...

i WAS inclined to reinstall lenny. (i found many references to that problem via google, but no solution.)

i just ran apt-get update again, and all is fine. caching problem?

anyway, though not solved, the problem is gone!
thanks
 
Old 01-13-2010, 05:19 PM   #4
baig
Member
 
Registered: Nov 2008
Location: وادی ھنزہ
Distribution: Solaris 5.10, Debian Server 5.2, CentOS 5.6
Posts: 226
Blog Entries: 3

Rep: Reputation: 38
try

Code:
sudo apt-get clean all
or
Code:
sudo apt-get clean
sudo apt-get update
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
apt-get update: Sources.bz2 Hash Sum mismatch, aptitude update: no errors Aidin Sabetian Linux - Software 7 08-11-2010 07:33 PM
[SOLVED] libpng <png.h> mismatch (Debian lenny) kaz2100 Debian 2 11-30-2008 07:44 AM
Debian KDE 4 repository architecture mismatch Marinus Debian 1 05-07-2008 01:26 PM
Can't install any software. Says MD5 sum mismatch. duffmckagan Ubuntu 8 07-11-2005 03:39 PM
RPM cpio: MD5 sum mismatch error louisb Linux - Enterprise 1 07-10-2005 02:38 PM


All times are GMT -5. The time now is 03:27 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration